%global _legacy_common_support 1

Name:		pam_ssh
Version:	2.3
Release:	%mkrel 3
Summary:	A Pluggable Authentication Module (PAM) for use with SSH
License:	BSD
Group:		System/Libraries
URL:		https://sourceforge.net/projects/pam-ssh/
Source0:	https://downloads.sourceforge.net/pam-ssh/%{name}-%{version}.tar.xz
Requires:	openssh
BuildRequires:	pam-devel 
BuildRequires:	openssh-clients
BuildRequires:	pkgconfig(openssl) >= 1.1


%description
This PAM module provides single sign-on behavior for UNIX using SSH. Users
are authenticated by decrypting their SSH private keys with the password
provided (probably to XDM). In the PAM session phase, an ssh-agent process is
started and keys are added.

%prep
%setup -q

%build
autoreconf -f -si
%configure --with-pam-dir=/%_lib/security
%make_build

%install
%make_install

%files
%doc AUTHORS NEWS README ChangeLog TODO
/%{_lib}/security/pam_ssh.*
%{_mandir}/man[^3]/pam_ssh*



%changelog
* Thu Aug 20 2020 joequant <joequant> 2.3-3.mga8
+ Revision: 1616716
- fix gcc10 build
+ danf <danf>
- Switch URLs from http: to https:

* Sat Feb 15 2020 umeabot <umeabot> 2.3-2.mga8
+ Revision: 1523955
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Mar 17 2019 daviddavid <daviddavid> 2.3-1.mga7
+ Revision: 1378172
- new version: 2.3
- switch to openssl 1.1

* Sun Sep 23 2018 umeabot <umeabot> 2.1-3.mga7
+ Revision: 1300098
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Wed Nov 22 2017 tv <tv> 2.1-2.mga7
+ Revision: 1178696
- rebuild for new openssl

* Mon Sep 11 2017 guillomovitch <guillomovitch> 2.1-1.mga7
+ Revision: 1152752
- new version 2.1

* Mon Feb 01 2016 umeabot <umeabot> 1.97-8.mga6
+ Revision: 930432
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.97-7.mga5
+ Revision: 745601
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.97-6.mga5
+ Revision: 683321
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.97-5.mga4
+ Revision: 508838
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.97-4.mga3
+ Revision: 362375
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 21 2012 nanardon <nanardon> 1.97-3.mga2
+ Revision: 199109
- imported package pam_ssh

